#include "Types.r"
#include "SysTypes.r"

resource 'SIZE' (-1) {
	reserved,
	acceptSuspendResumeEvents,
	reserved,
	canBackground,
	notMultiFinderAware,
	backgroundAndForeground,
	getFrontClicks,
	ignoreChildDiedEvents,
	is32BitCompatible,
	isHighLevelEventAware,
	localAndRemoteHLEvents,
	notStationeryAware,
	dontUseTextEditServices,
	reserved,
	reserved,
	reserved,
	100000,
	100000
};

resource 'DLOG' (128) {
	{40, 40, 148, 379},
	dBoxProc,
	visible,
	goAway,
	0x0,
	128,
	""
};

resource 'DLOG' (130) {
	{40, 40, 209, 392},
	dBoxProc,
	visible,
	goAway,
	0x0,
	130,
	""
};

resource 'DITL' (128) {
	{	/* array DITLarray: 1 elements */
		/* [1] */
		{26, 57, 75, 282},
		StaticText {
			disabled,
			"Searching for the first file with\nCreato"
			"r: ^0\nFileType: ^1"
		}
	}
};

resource 'DITL' (129) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{100, 81, 120, 139},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{10, 0, 90, 216},
		StaticText {
			disabled,
			"Found file named:\n^0"
		}
	}
};

resource 'DITL' (130) {
	{	/* array DITLarray: 6 elements */
		/* [1] */
		{140, 150, 160, 208},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{20, 10, 35, 203},
		StaticText {
			disabled,
			"Search for file with Creator:"
		},
		/* [3] */
		{60, 10, 76, 85},
		StaticText {
			disabled,
			"FileType:"
		},
		/* [4] */
		{20, 220, 36, 295},
		EditText {
			disabled,
			"MACS"
		},
		/* [5] */
		{60, 220, 76, 295},
		EditText {
			enabled,
			"FNDR"
		},
		/* [6] */
		{100, 30, 118, 339},
		StaticText {
			disabled,
			"(default search for Finder)"
		}
	}
};

resource 'ALRT' (129) {
	{40, 40, 175, 260},
	129,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound1,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound1,
		/* [4] */
		OK, visible, sound1
	}
};
